<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Magpaper Pro
	 * @since Magpaper Pro 1.0.0
	 */

	/**
	 * magpaper_pro_doctype hook
	 *
	 * @hooked magpaper_pro_doctype -  10
	 *
	 */
	do_action( 'magpaper_pro_doctype' );

?>
<head>
<?php
	/**
	 * magpaper_pro_before_wp_head hook
	 *
	 * @hooked magpaper_pro_head -  10
	 *
	 */
	do_action( 'magpaper_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * magpaper_pro_page_start_action hook
	 *
	 * @hooked magpaper_pro_page_start -  10
	 *
	 */
	do_action( 'magpaper_pro_page_start_action' ); 

	/**
	 * magpaper_pro_loader_action hook
	 *
	 * @hooked magpaper_pro_loader -  10
	 * @hooked magpaper_pro_top_bar -  20
	 *
	 */
	do_action( 'magpaper_pro_before_header' );

	/**
	 * magpaper_pro_header_action hook
	 *
	 * @hooked magpaper_pro_header_start -  10
	 * @hooked magpaper_pro_left_side_post -  15
	 * @hooked magpaper_pro_site_branding -  20
	 * @hooked magpaper_pro_right_side_post -  25
	 * @hooked magpaper_pro_site_navigation -  30
	 * @hooked magpaper_pro_header_end -  40
	 * @hooked magpaper_pro_content_start -  50
	 *
	 */
	do_action( 'magpaper_pro_header_action' );

    if ( magpaper_pro_is_frontpage() ) {
    	/**
		 * magpaper_pro_primary_content hook
		 *
		 * @hooked magpaper_pro_add_hero_section -  10
		 * @hooked magpaper_pro_add_popular_post_section -  20
		 * @hooked magpaper_pro_social_menu -  55
		 *
		 */
		do_action( 'magpaper_pro_primary_content' );
	}