<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Magpaper Pro
 * @since Magpaper Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'magpaper_pro_menu', array(
	'title'             => esc_html__('Header Menu','magpaper-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'magpaper-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_menu',
	'on_off_label' 		=> magpaper_pro_switch_options(),
) ) );